Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.clock
Class StepSynchronizer.RunThread

    java.lang.Object
      java.lang.Thread
          avrora.sim.clock.StepSynchronizer.RunThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  StepSynchronizer

protected class StepSynchronizer.RunThread
extends java.lang.Thread

The `RunThread` class implements a thread that runs the simulation, to preserve the model that the thread interacting with the synchronizer through calls to `start()`, stop(), etc. is different than any of the threads running actual simulator code.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `StepSynchronizer.RunThread()`

Method Summary
`void` | `pause()`
`void` | `run()`
`protected void` | `runLoop()`
`protected void` | `step(int[] cycles, Simulator[] threads)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepSynchronizer.RunThread

    protected StepSynchronizer.RunThread()

Method Detail

### run

    public void run()

### runLoop

    protected void runLoop()

### step

    protected void step(int[] cycles,
                        Simulator[] threads)

### pause

    public void pause()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD